Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(381)

Unified Diff: test/test262/prune-local-tests.sh

Issue 2611793002: [test] Process to locally develop and upstream test262 tests (Closed)
Patch Set: Address review comments and Intl tests Created 3 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: test/test262/prune-local-tests.sh
diff --git a/test/test262/prune-local-tests.sh b/test/test262/prune-local-tests.sh
new file mode 100755
index 0000000000000000000000000000000000000000..a0c309bbe37459fd1c9400809453c19b822f77e7
--- /dev/null
+++ b/test/test262/prune-local-tests.sh
@@ -0,0 +1,15 @@
+# Copyright 2016 the V8 project authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# usage: test/test262/prune-local-tests.sh
+# This script removes redundant tests present in the local-tests directory
+# when they are identical to upstreamed tests. It should be run as part of
+# the test262 roll process.
+
+find -f test/test262/local-tests | while read localpath; do
+ datapath=${localpath/local-tests/data}
+ if diff $localpath $datapath >/dev/null ; then
+ git rm $localpath || exit 1
+ fi
+done

Powered by Google App Engine
This is Rietveld 408576698